Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package stdpy.threading

## Classes
class | BoundedSemaphore
class | Condition
class | Event
class | ExternalThread
class | Lock
class | MainThread
class | RLock
class | Semaphore
class | Thread
class | ThreadBase
class | Timer
## Functions
def | active_count
def | current_thread
def | enumerate
def | setprofile
def | settrace
def | stack_size
## Variables
list | __all__
| __verbose
| _setprofile_func = None
| _settrace_func = None
| activeCount = active_count
| count
| currentThread = current_thread
| limit
| local = _thread._local
| mon
| queue
| quota
| rc
| wc

## Detailed Description

    This module reimplements Python's native threading module using Panda
    threading constructs.  It's designed as a drop-in replacement for the
    threading module for code that works with Panda; it is necessary because
    in some compilation models, Panda's threading constructs are
    incompatible with the OS-provided threads used by Python's thread
    module.

    This module implements the threading module with a thin layer over
    Panda's threading constructs.  As such, the semantics are close to,
    but not precisely, the semantics documented for Python's standard
    threading module.  If you really do require strict adherence to
    Python's semantics, see the threading2 module instead.

    However, if you don't need such strict adherence to Python's original
    semantics, this module is probably a better choice.  It is likely to
    be slighly faster than the threading2 module (and even slightly faster
    than Python's own threading module).  It is also better integrated
    with Panda's threads, so that Panda's thread debug mechanisms will be
    easier to use and understand.

    It is permissible to mix-and-match both threading and threading2
    within the same application.

## Function Documentation

def stdpy.threading.active_count | ( |  | ) |

def stdpy.threading.current_thread | ( |  | ) |

def stdpy.threading.enumerate | ( |  | ) |

def stdpy.threading.setprofile | ( |  | func | ) |

def stdpy.threading.settrace | ( |  | func | ) |

def stdpy.threading.stack_size | ( |  | size = `None` | ) |

## Variable Documentation

list __all__

Initial value:

    00001 [
    00002     'Thread',
    00003     'Lock', 'RLock',
    00004     'Condition',
    00005     'Semaphore', 'BoundedSemaphore',
    00006     'Event',
    00007     'Timer',
    00008     'local',
    00009     'current_thread', 'currentThread',
    00010     'enumerate', 'active_count', 'activeCount',
    00011     'settrace', 'setprofile', 'stack_size',
    00012     ]

__verbose

_setprofile_func = None

_settrace_func = None

activeCount = active_count

count

currentThread = current_thread

limit

local = _thread._local

mon

queue

quota

rc

wc

All Classes Namespaces Functions Variables Enumerations Enumerator Properties